//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TwinTail.Entities
{
    using System;
    using System.Collections.Generic;
    
    public partial class Anime
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Anime()
        {
            this.Genres = new HashSet<Genre>();
            this.Synonyms = new HashSet<Synonym>();
        }
    
        public int Id { get; set; }
        public string ServerId { get; set; }
        public string Api { get; set; }
        public string Slug { get; set; }
        public string Title { get; set; }
        public string TitleEnglish { get; set; }
        public string TitleJapanese { get; set; }
        public AnimeType Type { get; set; }
        public string Synopsis { get; set; }
        public Nullable<int> Episodes { get; set; }
        public Nullable<int> EpisodeLength { get; set; }
        public AirStatus AirStatus { get; set; }
        public Nullable<System.DateTime> DateStarted { get; set; }
        public Nullable<System.DateTime> DateEnded { get; set; }
        public string ImageUrl { get; set; }
        public string Classification { get; set; }
        public Nullable<int> Rank { get; set; }
        public Nullable<int> PopularityRank { get; set; }
        public Nullable<decimal> MembersScore { get; set; }
        public Nullable<int> MembersCount { get; set; }
        public Nullable<int> FavoritedCount { get; set; }
        public Nullable<System.DateTime> DateUpdated { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Genre> Genres { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Synonym> Synonyms { get; set; }
        public virtual Reference Reference { get; protected set; }
    }
}
